IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[a_del_visitasProgramadas]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[a_del_visitasProgramadas]
GO
set ANSI_NULLS ON
set QUOTED_IDENTIFIER ON
GO
CREATE procedure [dbo].[a_del_visitasProgramadas]
	@p_eid as varchar(100) = '',
	@p_contratoEquipo int = 0,
	@p_horometro float = 0,
	@p_porTrabajo bit = 1,
	@p_fecha smalldatetime = null
	
as
begin
	
	update cnt_corrimientovisitafija
	set cnt_corrimientovisitafija.active=0, 
		corrimientovisitafija='Eliminado de: Visita: '+ convert(varchar,VF.fecha_ff) + 
		' Tempario: ' +  [cat_catalogo.tempario_catalogo.tempario] +
		' Equipo: ' + equ_equipo.equipo + 
		' Horometro: ' + convert(varchar,VF.horometro),
		fechamodificacion=getdate(),
		id_visitaFija=0
	from cnt_corrimientovisitafija
		inner join view_cnt_visitaFija VF on VF.id = cnt_corrimientovisitafija.id_visitafija
		inner join equ_equipo on equ_equipo.id=VF.cnt_contratoEquipo_id_equipo 
	where	VF.id_contratoEquipo=@p_contratoEquipo and
			VF.esPorTrabajo=@p_porTrabajo and 
			VF.[id_documento.ot]=0 and
			(VF.fecha_ff>=convert(smalldatetime, @p_fecha,103) or 
			VF.horometro>@p_horometro) and
			VF.eid like @p_eid + '%'
			
	delete from cnt_visitaFija 
	where	cnt_visitaFija.id_contratoEquipo=@p_contratoEquipo and
			cnt_visitaFija.esPorTrabajo=@p_porTrabajo and 
			cnt_visitaFija.id_contratoDetalleVisita>0 and 
			cnt_visitaFija.[id_documento.ot]=0 and
			(cnt_visitaFija.fecha_ff>=convert(smalldatetime, @p_fecha,103) or 
			cnt_visitaFija.horometro>@p_horometro) and
			cnt_visitaFija.eid like @p_eid + '%'

end